## org.eclipse.amp.axf.core
Class LifecycleObservationAdapter

    java.lang.Object
      org.eclipse.amp.axf.core.LifecycleObservationAdapter

All Implemented Interfaces:
  IStateListener

    public class LifecycleObservationAdapter

extends java.lang.Object
implements IStateListener

The Class LifecycleObservationAdapter.

Constructor Summary
`LifecycleObservationAdapter(ILifeCycleListener lifeCycleListener)` Instantiates a new lifecycle observation adapter.

Method Summary
`void` `stateChange(java.lang.Object notifyType, java.lang.Object observed)` Notifies that the model has had some kind of state or observation status change.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LifecycleObservationAdapter

    public LifecycleObservationAdapter(ILifeCycleListener lifeCycleListener)

  Instantiates a new lifecycle observation adapter.

  Parameters:
    `lifeCycleListener` - the life cycle listener

Method Detail

### stateChange

    public void stateChange(java.lang.Object notifyType,
                            java.lang.Object observed)

  Description copied from interface: `IStateListener`
  Notifies that the model has had some kind of state or observation status change.

  Specified by:
    `stateChange` in interface `IStateListener`
  Parameters:
    `notifyType` -
    `observed` -
  See Also:
    `IStateListener.stateChange(java.lang.Object, java.lang.Object)`